/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

//Jaunty entity File
#ifndef _EJAUNTY_H
#define _EJAUNTY_H

//Includes
#include "Entity.h"
#include "../µsprite.h"

//Defines

//Paramètres du plan d'eau
// TYPE : static
// p1 et p2 : 
// Autres : texte

class eJaunty : public CEntity
{
   public:
   	eJaunty();
   	virtual ~eJaunty();
   	virtual void Draw(int layer);
	   virtual void Update();
	   virtual void Destroy();
	   virtual void Load();
	   virtual void CheckInteractions();
	   
	public:
	   char text[128]; //Attention au caractère de fin de chaine
	   int alpha;      //Alpha du texte et de la bulle
	   CSprite spr;
	   CSprite bulle;
	   
};
#endif
